Index: xft/xft.pc.in
===================================================================
--- xft.orig/xft.pc.in	2006-02-04 17:59:59.000000000 -0500
+++ xft/xft.pc.in	2006-02-05 12:58:35.000000000 -0500
@@ -2,11 +2,14 @@
 exec_prefix=@exec_prefix@
 libdir=@libdir@
 includedir=@includedir@
+freetypelibs="@FREETYPE_LIBS@"
+freetypecflags="@FREETYPE_CFLAGS@"
+xrenderlibs="@XRENDER_LIBS@"
 
 Name: Xft
 Description: X FreeType library
 Version: @VERSION@
-Requires: xproto, xrender, fontconfig, freetype2
-Requires.private: xrender, fontconfig, freetype2
-Cflags: -I${includedir}
+Requires: xproto, fontconfig
+Cflags: -I${includedir} ${freetypecflags}
 Libs: -L${libdir} -lXft
+Libs.private: -lX11 ${xrenderlibs} ${freetypelibs}
